namespace ConsoleApp5
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] nm = Console.ReadLine().Split();
            int n = int.Parse(nm[0]);
            int m = int.Parse(nm[1]);

            int[] d = new int[n]; 
            int[] u = new int[n]; 
            int[] l = new int[m]; 
            int[] r = new int[m]; 
            int[] x = new int[m]; 
            int izlaz = 0;
            int i;
            for (i = 0; i < n; i++) 
            { 
                string[] opseg = Console.ReadLine().Split(); 
                d[i] = int.Parse(opseg[0]); 
                u[i] = int.Parse(opseg[1]);
            }
            for (i = 0; i < m; i++) 
            { 
                string[] pitanje = Console.ReadLine().Split(); 
                l[i] = int.Parse(pitanje[0]); 
                r[i] = int.Parse(pitanje[1]); 
                x[i] = int.Parse(pitanje[2]); 
            }
            while (i == m)
            {
                if (l[i] >= d[i] && l[i] <= u[i])
                {
                    izlaz = izlaz+ l[i] / x[i];
                }
                else
                {
                    izlaz = izlaz + 0;
                }
                if (r[i] >= d[i] && r[i] <= u[i])
                {
                    izlaz = izlaz + r[i] / x[i];
                }
                else
                {
                    izlaz = izlaz + 0;
                }
            }
            Console.WriteLine(izlaz);
        }
    }
}